package cn.iocoder.yudao.module.iot.dal.mysql.recipetype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.iot.dal.dataobject.recipetype.RecipeTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.iot.controller.admin.recipetype.vo.*;

/**
 * 配方类型表（基础字典） Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecipeTypeMapper extends BaseMapperX<RecipeTypeDO> {

    default PageResult<RecipeTypeDO> selectPage(RecipeTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecipeTypeDO>()
                .eqIfPresent(RecipeTypeDO::getCode, reqVO.getCode())
                .likeIfPresent(RecipeTypeDO::getName, reqVO.getName())
                .eqIfPresent(RecipeTypeDO::getProcess, reqVO.getProcess())
                .eqIfPresent(RecipeTypeDO::getRemark, reqVO.getRemark())
                .eqIfPresent(RecipeTypeDO::getSort, reqVO.getSort())
                .betweenIfPresent(RecipeTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(RecipeTypeDO::getId));
    }

}